/*
 * Copyright 2009-2015 Dovetailed Technologies, LLC.
 *
 * Licensed under the accompanying Co:Z Target System Toolkit Source License Agreement (the "License");
 * you may not use this file except in compliance with the License.
 *
 */

#ifndef _MFOCUS_H
#define _MFOCUS_H

#ifdef  HAVE_STDINT_H
#include <stdint.h>
#endif
#ifdef  HAVE_INTTYPES_H
#include <inttypes.h>
#endif


static const int MAX_MF_SHORT_REC_SIZE = 4094;

#pragma pack(1)
	
typedef struct _mf_header { 
	uint32_t			len;
	unsigned char 		unused1[32]; 
	uint16_t			reserved1; // x'00 3E'
	unsigned char 		unused2;
	unsigned char 		organization;  // seq=1   
	unsigned char	 	unused3[8];  
	unsigned char       record_mode;  // variable=1 
	unsigned char	    unused4[5];   
	uint32_t            max_rec_len;  // network order
	uint32_t            min_rec_len;  // network order
	unsigned char	   unused5[66];   
} MF_HEADER;

#ifdef __MVS__
#pragma pack(reset)
#else
#pragma pack()
#endif


void init_mf_header(MF_HEADER* pMfHeader, uint32_t minRecLen, uint32_t maxRecLen);

#endif
